Subject: bug#37151: 26.2; Horizontal scroll with display-line-numbers mode on.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Aug 2019 11:26:04 +0300

> From: Jen-Chieh Shen <[email-masked]>
> Date: Fri, 23 Aug 2019 09:33:51 +0800
> 
> When `display-line-numbers-mode` is on, the `(window-width)` seems to be
> incorrect because it dosen't include the width of
> `display-line-numbers`.

This is by design, and is not a bug.

> When I hit `end-of-line` on the line with just
> right with range `window width - display line numbers width` ~ `window width`
> the cursor will be disappeared because of the miscalculation.

This part I don't think I follow.  Please show a complete recipe for
reproducing the problem, starting from "emacs -Q" and including all
the key sequences/commands you type to reproduce the problem.

Thanks.